Subject: enabling COMPAT_LINUX by default in 1.6.2
To: None <,>
From: Emmanuel Dreyfus <>
List: port-powerpc
Date: 01/07/2004 08:25:34

I worked with someone behind the scene to get java to work on
1.6.2_RC3/powerpc. It was a pain to do it, but finnally, only two things
are missing:

- rebuild a kernel with COMPAT_LINUX
- sysctl -w emul.linux.kern.osversion=2.4.18

What about making these default for upcoming 1.6.2? That way,
pkgsrc/lang/blackdown-jdk13 will just install out of the box. If most
people beleive this is a good idea, and if it is not too late, I'd like
to submit the following pull-up:

src/sys/compat/linux/common/linux_sysctl.c      1.5   -> 1.6
src/sys/arch/macppc/conf/GENERIC                1.138 -> 1.139

I'm not sure this is interesting to do it for other PowerPC ports.
Opinion about this change?

Emmanuel Dreyfus
Il y a 10 sortes de personnes dans le monde: ceux qui comprennent 
le binaire et ceux qui ne le comprennent pas.